Bug Hunting Session
Bug 115329 - Navigation with Find Toolbar does not Work Correctly with Drawings
Summary: Navigation with Find Toolbar does not Work Correctly with Drawings
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.5.1 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Find-Toolbar Navigate-By
  Show dependency treegraph
 
Reported: 2018-01-31 11:47 UTC by Harald Koester
Modified: 2018-10-24 13:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2018-01-31 11:47:05 UTC
In order to reproduce the bug do:

[1] Create new text document.
[2] Insert 3 drawing objects, e.g. rectangles: Insert > Form > Basic ….
[3] Display Find toolbar.
[4] Find toolbar: Select 'Drawing' in 'Navigate By' drop down menu.
[5] Click down arrow (next drawing) until the last drawing is reached.
[6] Click up arrow (previous drawing). Nothing happens. Expected: Second drawing should be selected.

There may be other object types where the same problem occurs. I did not check them all.
Comment 1 Dieter Praas 2018-01-31 12:36:28 UTC
I confirm it with

Version: 6.1.0.0.alpha0+ (x64)
Build ID: 77a535285f0fd5f2464430abdc67cf99be024868
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-01-23_23:04:23
Locale: de-DE (de_DE); Calc: CL
Comment 2 Jim Raykowski 2018-02-24 02:53:20 UTC
I noticed this while working on Bug 115880.

I changed the earliest affected version to 5.4.5.1 which is the earliest version I have tested against.

It would be nice to know how long has this bug has been around.
Comment 3 Jim Raykowski 2018-02-24 02:57:39 UTC
This seems like a good place to report Drawing move navigation bugs.

A Drawing move navigation followed by a Table move navigation doesn't work unless the drawing is clicked before the Table move navigation is done. Also the cursor is not displayed in the table after the move as expected.

1. Created a document with some drawing shapes and tables
2. Do a Navigate By Drawing
a drawing object is selected
3. Do a Navigate By Table
table isn't navigated to as expected
4. Click on the selected Drawing object
5. Do a Navigate By Table
table is navigated to but no cursor is shown in the first table cell as expected

Version: 5.4.5.1 & latest build

I have a patch for this but it is dependent on the patch for Bug 115880 so I will wait until that patch is merged before sending the one for this.
Comment 4 Jim Raykowski 2018-02-24 09:03:05 UTC
(In reply to Harald Koester from comment #0)
> In order to reproduce the bug do:
> 
> [1] Create new text document.
> [2] Insert 3 drawing objects, e.g. rectangles: Insert > Form > Basic ….
> [3] Display Find toolbar.
> [4] Find toolbar: Select 'Drawing' in 'Navigate By' drop down menu.
> [5] Click down arrow (next drawing) until the last drawing is reached.
> [6] Click up arrow (previous drawing). Nothing happens. Expected: Second
> drawing should be selected.
> 
> There may be other object types where the same problem occurs. I did not
> check them all.

Patch for this:
https://gerrit.libreoffice.org/#/c/50273/
Comment 5 Jim Raykowski 2018-02-25 18:20:39 UTC
(In reply to Jim Raykowski from comment #3)
> This seems like a good place to report Drawing move navigation bugs.
> 
> A Drawing move navigation followed by a Table move navigation doesn't work
> unless the drawing is clicked before the Table move navigation is done. Also
> the cursor is not displayed in the table after the move as expected.
> 
> 1. Created a document with some drawing shapes and tables
> 2. Do a Navigate By Drawing
> a drawing object is selected
> 3. Do a Navigate By Table
> table isn't navigated to as expected
> 4. Click on the selected Drawing object
> 5. Do a Navigate By Table
> table is navigated to but no cursor is shown in the first table cell as
> expected
> 
> Version: 5.4.5.1 & latest build
> 
> I have a patch for this but it is dependent on the patch for Bug 115880 so I
> will wait until that patch is merged before sending the one for this.

patch: https://gerrit.libreoffice.org/#/c/50315/
Comment 6 Commit Notification 2018-02-25 22:26:43 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6b6a3547990eede6a2213b5a82bedd88a919563f

tdf#115329 Fix Navigate By Table after Navigate By Drawing or Control

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-02-25 22:28:01 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4497411ea6db421a90cc950efe6e1bec4aebc0a

tdf#115329 make navigate by drawing to previous drawing work

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-03-28 07:59:12 UTC
A polite ping to Jim Raykowski: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks
Comment 9 Harald Koester 2018-10-24 13:02:04 UTC
Verified with version 6.1.2. So bug closed.
Thanks for fixing.